<!DOCTYPE html>
<html>
<head>
<#include "../../common/header.ftl">
</head>
<body>
<div class="x-body">
    <form class="layui-form" action="/site/edit" method="post">
        <input type="hidden" name="id" value="${result.id}"/>
        <div class="layui-form-item">
            <label for="name" class="layui-form-label">
                名称
            </label>
            <div class="layui-input-inline">
                <input type="text" id="name" name="name" required="" value="${result.name}" lay-verify="required"
                       autocomplete="off" class="layui-input">
            </div>
        </div>
        <div class="layui-form-item">
            <label for="author" class="layui-form-label">
                作者
            </label>
            <div class="layui-input-inline">
                <input type="text" id="author" name="author" value="${result.author}" required="" lay-verify="required"
                       autocomplete="off" class="layui-input">
            </div>
        </div>
        <div class="layui-form-item">
            <label for="author" class="layui-form-label">
                封面
            </label>
            <div class="layui-input-block">
                <img src="${imgPrefix}${result.id}.jpg">
            </div>
            </div>

        <div class="layui-form-item">
            <label for="author" class="layui-form-label">
                抓取时间
            </label>
            <div class="layui-input-inline">
                <input type="text" id="author" name="author" value="${result.createTime}" required="" lay-verify="required"
                       autocomplete="off" class="layui-input">
            </div>
        </div>
        <div class="layui-form-item layui-form-text">
            <label for="taskRuleJson" class="layui-form-label">
                作品简介
            </label>
            <div class="layui-input-block">
                <textarea id="taskRuleJson" name="taskRuleJson" class="layui-textarea">${result.intro!""}</textarea>
            </div>
        </div>
        <div class="layui-form-item">
            <label for="L_repass" class="layui-form-label">
            </label>
            <button  class="layui-btn" lay-filter="add" lay-submit="">
                提交
            </button>
        </div>
    </form>

    <br>
    <xblock>
        <#--<button class="layui-btn layui-btn-danger" onclick="delAll()"><i class="layui-icon"></i>批量删除</button>-->
        <#--<button class="layui-btn" onclick="x_admin_show('添加Task','/site/add')"><i class="layui-icon"></i>添加</button>-->
        <span class="x-right" style="line-height:40px">共有数据：${pages.totalElements} 条</span>
    </xblock>
    <table class="layui-table">
        <thead>
        <tr>
            <th>
                <div class="layui-unselect header layui-form-checkbox" lay-skin="primary"><i class="layui-icon">&#xe605;</i></div>
            </th>
            <th>ID</th>
            <th>名称</th>
            <th>创建时间</th>
            <th>是否启用</th>
            <th>操作</th>
        </thead>
        <tbody>
        <#list pages.content as page>
        <tr>
            <td>
                <div class="layui-unselect layui-form-checkbox" lay-skin="primary" data-id='2'><i class="layui-icon">&#xe605;</i></div>
            </td>
            <td>${page.id}</td>
            <td>${page.name}</td>
            <td>${page.createTime}</td>
            <td class="td-status">
                <#if page.status == 0>
                    <span class="layui-btn layui-btn-normal layui-btn-mini">已启用</span>
                <#else >
                    <span class="layui-btn layui-btn-normal layui-btn-mini layui-btn-disabled">已停用</span>
                </#if>
            </td>
        <#-- <td class="td-manage">

         <#--<#if site.runState == 'Running'>
           <a onclick="member_stop(this,'${site.id}')" href="javascript:;"  title="停用">
             <i class="layui-icon">&#xe601;</i>
           </a>
         <#else >
           <a onclick="member_stop(this,'${site.id}')" href="javascript:;"  title="启用">
               <i class="layui-icon">&#xe62f;</i>
           </a>
         </#if>-->
            <td>
                <a title="详情"  onclick="x_admin_show('详情','/manage/book/chapter/${page.id}')" href="javascript:;">
                    <i class="layui-icon">&#xe642;</i>
                </a>
                <a title="删除" onclick="member_del(this,'${page.id}')" href="javascript:;">
                    <i class="layui-icon">&#xe640;</i>
                </a>
            </td>
        </tr>
        </#list>
        </tbody>
    </table>
    <div class="page">
        <div>
        <#if currentPage lte 1>
            <a class="prev" href="#">&lt;&lt;</a>
        <#else >
            <a class="prev" href="/manage/book/detail/${result.id}?page=${currentPage - 1}&size=1000">&lt;&lt;</a>
        </#if>
        <#list 1..pages.getTotalPages() as index>
            <#if currentPage == index>
                <span class="current">${index}</span>
            <#else>
                <a href="/manage/book/detail/${result.id}?page=${index}&size=10">${index}</a>
            </#if>
        </#list>
        <#if currentPage gte pages.getTotalPages()>
            <a class="next" href="#">&gt;&gt;</a>
        <#else>
            <a class="next" href="/manage/book/detail/${result.id}?page=${currentPage + 1}&size=1000">&gt;&gt;</a>
        </#if>
        </div>
    </div>
</div>
<script>
    layui.use(['form','layer'], function(){
        $ = layui.jquery;
        var form = layui.form
                ,layer = layui.layer;

        //自定义验证规则
        /*form.verify({
            nikename: function(value){
                if(value.length < 5){
                    return '昵称至少得5个字符啊';
                }
            }
            ,pass: [/(.+){6,12}$/, '密码必须6到12位']
            ,repass: function(value){
                if($('#L_pass').val()!=$('#L_repass').val()){
                    return '两次密码不一致';
                }
            }
        });*/

        //监听提交
        form.on('submit(add)', function(data){
            //发异步，
            form.submit();
            layer.alert("增加成功", {icon: 6},function () {
                // 获得frame索引
                var index = parent.layer.getFrameIndex(window.name);
                //关闭当前frame
                parent.layer.close(index);
            });
            return false;
        });

    });
</script>

</body>

</html>